summaryrefslogtreecommitdiffstats
path: root/tests/dircreate_off.sh
diff options
context:
space:
mode:
authorRainer Gerhards <rgerhards@adiscon.com>2009-11-30 12:35:46 +0100
committerRainer Gerhards <rgerhards@adiscon.com>2009-11-30 12:35:46 +0100
commit6598615e5bb4e69b9802cf47b1125ce822873ef8 (patch)
tree7f96c2719c55b22c2d3e0e00e34c2d0649046366 /tests/dircreate_off.sh
parent8b9132bc3212b8e231edc979ffec77c88d96b044 (diff)
downloadrsyslog-6598615e5bb4e69b9802cf47b1125ce822873ef8.tar.gz
rsyslog-6598615e5bb4e69b9802cf47b1125ce822873ef8.tar.xz
rsyslog-6598615e5bb4e69b9802cf47b1125ce822873ef8.zip
extended testbench: tests for $CreateDirs
Diffstat (limited to 'tests/dircreate_off.sh')
-rwxr-xr-xtests/dircreate_off.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/dircreate_off.sh b/tests/dircreate_off.sh
new file mode 100755
index 00000000..92fdee01
--- /dev/null
+++ b/tests/dircreate_off.sh
@@ -0,0 +1,20 @@
+# Test for automatic creation of dynafile directories
+# note that we use the "test-spool" directory, because it is handled by diag.sh
+# in any case, so we do not need to add any extra new test dir.
+# added 2009-11-30 by Rgerhards
+# This file is part of the rsyslog project, released under GPLv3
+# uncomment for debugging support:
+echo ===================================================================================
+echo \[dircreate_off_off.sh\]: testing automatic directory creation for dynafiles - default
+source $srcdir/diag.sh init
+source $srcdir/diag.sh startup dircreate_off.conf
+source $srcdir/diag.sh injectmsg 0 1 # a single message is sufficient
+source $srcdir/diag.sh shutdown-when-empty # shut down rsyslogd when done processing messages
+source $srcdir/diag.sh wait-shutdown
+if [ -e test-logdir/rsyslog.out.log ]
+then
+ echo "test-logdir or logfile WAS created where not permitted to!"
+ exit 1
+fi
+exit
+source $srcdir/diag.sh exit